Bug 4828 - wrong file uploads for copyediting after the upgrade to 2.3.0
wrong file uploads for copyediting after the upgrade to 2.3.0
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Copyeditors and Proofreaders
2.3.3
PC Linux
: P5 enhancement
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 05:57 PDT by Bozana Bokan
Modified: 2010-08-17 10:26 PDT (History)
1 user (show)

See Also:
Version Reported In: 2.3.0
Also Affects:


Attachments
patch against ojs-2.3.0 (3.51 KB, patch)
2009-10-16 05:57 PDT, Bozana Bokan
Details | Diff
patch against ojs-2.3.0 (3.69 KB, patch)
2009-10-19 07:06 PDT, Bozana Bokan
Details | Diff
patch against ojs-2.3.0 (3.69 KB, patch)
2009-11-02 03:52 PST, Bozana Bokan
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bozana Bokan 2009-10-16 05:57:41 PDT
Created attachment 2534 [details]
patch against ojs-2.3.0

One file upload for copyediting e.g. initial copyedit (step 1) will be displayed like three file uploads: initial, author and final copyedit (step1, 2 and 3) after the upgrade to 2.3.0.
Comment 1 Alec Smecher 2009-10-16 18:00:03 PDT
Fixed. Thanks, Bozana!
Comment 2 Bozana Bokan 2009-10-19 07:06:22 PDT
Created attachment 2540 [details]
patch against ojs-2.3.0

Sorry! :-( -- Apparently there should always be the database entries for SIGNOFF_COPYEDITING_INITIAL, SIGNOFF_COPYEDITING_AUTHOR and SIGNOFF_COPYEDITING_FINAL (also if they are empty). Else, PHP error "Call to a member function on a non-object" appears.
Comment 3 Bozana Bokan 2009-11-02 03:52:51 PST
Created attachment 2570 [details]
 patch against ojs-2.3.0

Ahhhhhhhh... :-( -- I thought that the number in the columns initial_revision, editor_author_revision and final_revision can just be 0 or 1 :-(
This is hopefully the last patch for this bug! ;-)
Comment 4 Alec Smecher 2010-02-18 12:00:05 PST
I botched the last commit -- this has finally been properly committed to pre-2.3.2.
Comment 5 Alec Smecher 2010-08-17 10:26:09 PDT
See http://pkp.sfu.ca/support/forum/viewtopic.php?f=8&t=6450&start=0 for a discussion on correcting the copyediting assignment data after an upgrade has already been performed.